## openvpn-auth-radius 2.1

=== Makefile ===
BLUE    =\033[20;36m
GREEN   =\033[32m
RED     =\033[31m
ESC     =\033[0m
OK      =[$(GREEN) Ok $(ESC)]
FAILED  =[$(RED) failed $(ESC)]

CC=g++



INCL=
LDFLAGS=
LIBS=-lgcrypt -lpthread
CFLAGS=-Wall -shared -fPIC -DPIC


PLUGIN=radiusplugin.so

OBJECTS=\
  RadiusClass/RadiusAttribute.o \
  RadiusClass/RadiusPacket.o \
  RadiusClass/RadiusConfig.o \
  RadiusClass/RadiusServer.o \
  RadiusClass/RadiusVendorSpecificAttribute.o \
  AccountingProcess.o \
  Exception.o \
  PluginContext.o \
  UserAuth.o \
  AcctScheduler.o \
  IpcSocket.o \
  radiusplugin.o \
  User.o \
  AuthenticationProcess.o \
  main.o \
  UserAcct.o \
  UserPlugin.o \
  Config.o

all: $(PLUGIN)

$(PLUGIN): $(OBJECTS)
	@echo -e 'BIN: $(GREEN) $(PLUGIN) $(ESC)'
	@$(CC) $(CFLAGS) $(OBJECTS) -o $(PLUGIN) $(LDFLAGS) $(LIBS)

%.o: %.cpp
	@echo -e 'OBJ: $(GREEN) $@ $(ESC)'
	@$(CC) $(INCL) $(CFLAGS) -o $@ -c $<

test: $(OBJECTS)
	@$(CC) -Wall $(OBJECTS) -o main $(LDFLAGS) $(LIBS)

clean:
	-rm $(PLUGIN) *.o */*.o

=== debian/changelog ===
openvpn-auth-radius (2.1-6build1) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:17:16 -0600

openvpn-auth-radius (2.1-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bump compat to level 9
  * Fixed Makefile to do verbose built 

 -- Dr. Torge Szczepanek <debian@cygnusnetworks.de>  Mon, 09 Dec 2013 17:47:04 +0100

openvpn-auth-radius (2.1-5) unstable; urgency=low

  * Update maintainer address
  * Bump standards version - no changes needed
  * Fix "netmask computation is bogus" 
    thanks to Samuel Thibault (Closes: #727564)

 -- Dr. Torge Szczepanek <debian@cygnusnetworks.de>  Tue, 19 Nov 2013 15:44:23 +0100

openvpn-auth-radius (2.1-4) unstable; urgency=low

  * binary* targets need to depend on build target.
  * Mention quilt's README.source in README.source.
  * Bumped Standards-Version: no changes needed.
  * Update debian/copyright to machine readable specification 1.0.
  * Support dpkg-buildflags.
  * Switch to debhelper 8 and use overrides.

 -- Helmut Grohne <h.grohne@cygnusnetworks.de>  Tue, 10 Apr 2012 14:39:06 +0200

openvpn-auth-radius (2.1-3) unstable; urgency=low

  * Fix binary-arch target. (Closes: #613666)

 -- Helmut Grohne <h.grohne@cygnusnetworks.de>  Wed, 16 Feb 2011 15:34:49 +0100

openvpn-auth-radius (2.1-2) unstable; urgency=low

  * Use quilt.
  * Updated names and addresses.
  * Fixed a file descriptor leak.
  * Fixed debian/copyright (syntax error and debian/* missing).
  * Added Homepage to contol.
  * Thanks to Paul Wise for reviewing the package.

 -- Helmut Grohne <h.grohne@cygnusnetworks.de>  Thu, 16 Dec 2010 17:43:49 +0100

openvpn-auth-radius (2.1-1) unstable; urgency=low

  * Initial release.
  * Closes: #556460 (ITP)

 -- Helmut Grohne <h.grohne@cygnusnetworks.de>  Tue, 14 Dec 2010 14:11:19 +0100

=== debian/control ===
Source: openvpn-auth-radius
Maintainer: Cygnus Networks GmbH <debian@cygnusnetworks.de>
Uploaders: Dr. Torge Szczepanek <debian@cygnusnetworks.de>
Standards-Version: 3.9.5
Section: net
Priority: extra
Build-Depends: debhelper (>= 9), libgcrypt11-dev
Homepage: http://www.nongnu.org/radiusplugin/

Package: openvpn-auth-radius
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openvpn (>= 2)
Description: OpenVPN RADIUS authentication module
 A plugin for OpenVPN 2.x that implements authentication of users against a
 RADIUS server. It features:
 * RADIUS authentication and accounting support for OpenVPN
 * analysis of RADIUS attributes:
   o framed ip address
   o framed routes
   o acct interim interval
   o vendor specific attributes by additional scripts

Package: openvpn-auth-radius-dbg
Architecture: any
Depends: openvpn-auth-radius (= ${binary:Version}), ${misc:Depends}
Section: debug
Description: debugging symbols for openvpn-plugin-radius
 openvpn-auth-radius is a plugin for OpenVPN 2.x that implements
 authentication of users against a RADIUS server.
 .
 This package contains the debugging symbols for openvpn-auth-radius.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
# use -include to support old dpkg
-include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)
export CFLAGS

%:
	dh $@ 

override_dh_clean:
	dh_clean -XUserAcct.cpp.orig

override_dh_auto_install:
	install -m755 radiusplugin.so $(CURDIR)/debian/openvpn-auth-radius/usr/lib/openvpn/radiusplugin.so

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/openvpn-auth-radius/usr/share/doc/openvpn-auth-radius/examples/radiusplugin.cnf

override_dh_strip:
	dh_strip --dbg-package=openvpn-auth-radius-dbg
